For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
LogoLogo
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
      • GETReturns all configured webhooks.
      • POSTCreates a new webhook.
      • GETReturns all available event types.
      • GETReturns all available event types for Slack webhooks.
      • GETReturns the webhook with the specified id.
      • PUTUpdates the webhook with the specified id.
      • DELDeletes the webhook with the specified id.
      • GETReturns all logs of the webhook with the specified id.
SupportDeveloper ForumLogin
API v1 ReferenceWebhooks

Returns all logs of the webhook with the specified id.

GET
https://api.awork.com/api/v1/webhooks/:webhookId/logs
GET
/api/v1/webhooks/:webhookId/logs
$curl https://api.awork.com/api/v1/webhooks/webhookId/logs \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1[
2 {
3 "message": "{ \"event\": \"task_comment_added\", \"taskId\": \"789e1234-e89b-12d3-a456-426614174999\", \"comment\": \"Please review the latest updates.\" }",
4 "webhookId": "123e4567-e89b-12d3-a456-426614174000",
5 "responseCode": 200,
6 "createdOn": "2024-01-15T09:30:00Z",
7 "reason": null,
8 "isSuccessful": true
9 }
10]
<Check title="Required Permissions" icon="key">The user must be an admin or have `workspace-manage-config:read` permissions.</Check>
Was this page helpful?
Previous

Returns all client applications.

Next
Built with
Required Permissions
The user must be an admin or have workspace-manage-config:read permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

webhookIdstringRequiredformat: "uuid"

Query parameters

pageintegerOptionalDefaults to 1
Page number for pagination
pageSizeintegerOptionalDefaults to 10
Number of items per page
orderbystringOptional
The properties to order by
filterbystringOptional
The filter expression to filter by

Response

OK
messagestring or null
The message which has been sent to the webhook receiver.
webhookIdstringformat: "uuid"
The id of the webhook.
responseCodeinteger
The HTTP response code of the request.
createdOnstringformat: "date-time"
The date the log was created.
reasonstring or null
The failure reason if the request failed.
isSuccessfulboolean
Whether the request was successful.

Errors

404
Not Found Error